> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get elastic IP



## OpenAPI

````yaml /api-spec/service_api.yaml get /v1/elastic-ips/{id}
openapi: 3.0.1
info:
  contact:
    email: support@gmicloud.ai
  description: Cluster Engine API spec
  title: Cluster Engine API
  version: 2.4.0
servers:
  - url: https://console.gmicloud.ai/api
security:
  - bearerAuth: []
tags:
  - name: containers
    description: >-
      GMI Container management APIs for creating, managing, and monitoring
      containerized applications.
  - name: templates
    description: >-
      GMI template management APIs for creating and managing reusable container
      template.
  - name: baremetals
    description: >-
      GMI Bare metal management APIs for provisioning, configuring, and
      controlling physical server nodes. Handles server lifecycle management,
      hardware inventory, and status monitoring.
  - name: images
    description: GMI Image management APIs for query OS images.
  - name: elastic-ips
    description: >-
      GMI Elastic IP address management APIs for allocating, associating, and
      managing public IP addresses.
paths:
  /v1/elastic-ips/{id}:
    get:
      tags:
        - elastic-ips
      summary: Get elastic IP
      operationId: getElasticIP
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/elasticIPResp'
          description: successful
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    elasticIPResp:
      allOf:
        - properties:
            id:
              format: uuid
              type: string
            orgId:
              description: >-
                if nil, it means the elastic IP is not associated with any
                instance
              format: uuid
              type: string
            status:
              enum:
                - released
                - associated
                - disassociated
              type: string
          required:
            - orgId
            - id
            - status
          type: object
        - $ref: '#/components/schemas/elasticIP'
        - $ref: '#/components/schemas/elasticIPAssociateConfig'
      type: object
    elasticIP:
      allOf:
        - $ref: '#/components/schemas/elasticIPConfig'
        - properties:
            idc:
              $ref: '#/components/schemas/idcName'
            ipAddress:
              description: >-
                IP address of the elastic IP. The longest possible IPv6 address
                is 39 characters
              maxLength: 39
              minLength: 7
              type: string
            product:
              $ref: '#/components/schemas/productName'
          required:
            - idc
            - ipAddress
            - product
          type: object
    elasticIPAssociateConfig:
      properties:
        instanceID:
          description: >-
            set instanceID and instanceType to associate the elastic IP to the
            instance, set to null to disassociate the elastic IP from the
            instance
          format: uuid
          nullable: true
          type: string
        instanceType:
          $ref: '#/components/schemas/instanceType'
      type: object
    errorStatusMessage:
      example:
        code: 0
        group: request
        validationDetail:
          - expression: required
            field: userName
            originalValue: ''
            reason: This field is required.
      properties:
        code:
          description: The substatus error code for the API response.
          type: integer
        group:
          description: >-
            API function group. Will be "request" if there are invalid request
            parameters.
          type: string
        message:
          description: The substatus error message for the API response.
          type: string
        traces:
          description: The original error messages.
          items:
            type: string
          type: array
        validationDetail:
          items:
            $ref: '#/components/schemas/validationDetail'
          type: array
      required:
        - group
        - code
      type: object
    error:
      properties:
        code:
          type: integer
          x-go-type-skip-optional-pointer: true
        reason:
          type: string
          x-go-type-skip-optional-pointer: true
      required:
        - reason
      type: object
    elasticIPConfig:
      properties:
        internetConnectionType:
          default: Dual-Homed
          enum:
            - BGP
            - Dual-Homed
          type: string
        maxBandwidth:
          default: 100 Gbps
          maxLength: 1048576
          minLength: 1
          type: string
        name:
          $ref: '#/components/schemas/name'
          description: Name of the elastic IP
      required:
        - name
        - internetConnectionType
        - maxBandwidth
      type: object
    idcName:
      maxLength: 50
      pattern: ^[a-zA-Z0-9._-]+$
      type: string
    productName:
      maxLength: 256
      pattern: ^[a-zA-Z0-9._-]+$
      type: string
    instanceType:
      enum:
        - baremetal
        - container
      nullable: true
      type: string
    validationDetail:
      example:
        expression: required
        field: userName
        originalValue: ''
        reason: This field is required.
      properties:
        argument:
          description: Data supporting the expression.
          type: string
        expression:
          description: The form of violation.
          type: string
        field:
          description: The field of the request data.
          type: string
        originalValue:
          description: The original value from the request.
          type: string
        reason:
          description: The reason for the validation error.
          type: string
      type: object
    name:
      maxLength: 255
      pattern: ^([A-Za-z0-9][A-Za-z0-9_\-. ]*)?[A-Za-z0-9]$
      type: string
  responses:
    Unauthorized:
      content:
        application/json:
          examples:
            Expired access token.:
              summary: Expired access token.
              value:
                code: 1
                group: auth_verify
                message: Expired access token.
            Invalid access token.:
              summary: Invalid access token.
              value:
                code: 0
                group: auth_verify
                message: Invalid access token.
          schema:
            $ref: '#/components/schemas/errorStatusMessage'
      description: Authentication information is missing or invalid
      headers:
        WWW_Authenticate:
          schema:
            type: string
    NotFound:
      content:
        application/json:
          example:
            reason: resource 12345678-1234-2234-3234-xxxxxxxxxxxxxx was not found
          schema:
            $ref: '#/components/schemas/error'
      description: The specified resource was not found
    InternalServerError:
      content:
        application/json:
          example:
            reason: An error occurred in the kubernetes cluster
          schema:
            $ref: '#/components/schemas/error'
      description: Internal Server Error
    ServiceUnavailable:
      content:
        application/json:
          example:
            reason: database is unavailable
          schema:
            $ref: '#/components/schemas/error'
      description: a dependent service is unavailable
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````